unit uAbout;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  Buttons,
  ShellAPI,
  ExtCtrls,
  pngimage,
  PngBitBtn,
  PngSpeedButton;

type
  TfrmAbout = class(TForm)
    imgAbout: TImage;
    Label1: TLabel;
    lblVer: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    lbEmail: TLabel;
    Label6: TLabel;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    btnOk: TPngBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Image3MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure imgAboutMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure btnOkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

uses
  uMain;

{$R *.dfm}

procedure TfrmAbout.FormShow(Sender: TObject);
begin
  if (Win32MajorVersion > 4) and (Win32Platform = VER_PLATFORM_WIN32_NT) then
  begin
    AnimateWindow(Handle, 500, AW_BLEND or AW_ACTIVATE);
  end;
  onShow := nil;
  //btnOk.Repaint;
end;

procedure TfrmAbout.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if (Win32MajorVersion > 4) and (Win32Platform = VER_PLATFORM_WIN32_NT) then
  begin
    AnimateWindow(Handle, 500, AW_BLEND or AW_HIDE);
  end;
end;

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
  Left := (Screen.Width - Width) div 2;
  Top := (Screen.Height - Height) div 2;
  lblVer.Caption := VERSION;
end;

procedure TfrmAbout.Image2Click(Sender: TObject);
begin
  ShellExecute(Application.Handle,
    nil,
    'mailto:Shaoziyang@gmail.com?subject=about AT Commander',
    nil, nil, SW_SHOW);
end;

procedure TfrmAbout.Image1Click(Sender: TObject);
begin
  ShellExecute(Application.Handle,
    nil,
    'http://avrubd.googlepages.com/',
    nil, nil, SW_SHOW);
end;

procedure TfrmAbout.Image3MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  btnOk.Visible := TRUE;
end;

procedure TfrmAbout.imgAboutMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  btnOk.Visible := FALSE;
end;

procedure TfrmAbout.btnOkClick(Sender: TObject);
begin
  Close;
end;

end.

